Skip to main content
GET
/
integrations
/
gcr
/
container-registry
/
project
/
{projectId}
/
images
/
{repositoryId}
/
tags
List tags for a container image
curl --request GET \
  --url https://api-eu.cybedefend.com/integrations/gcr/container-registry/project/{projectId}/images/{repositoryId}/tags \
  --header 'x-api-key: <api-key>'

Authorizations

x-api-key
string
header
required

API Key for authentication. You can generate an API key from your personal settings.

Path Parameters

projectId
string<uuid>
required

CybeDefend project ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

repositoryId
string
required

Repository or image name in the registry (e.g., my-app, gcr.io/project/image)

Example:

"my-application"

Query Parameters

credentialId
string
required

UUID of the GCR credential to use for authentication

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of tags with digest and metadata